<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <title th:text="${novel.name}"></title>
    <link rel="stylesheet" href="/bootstrap/4.0.0-beta.2/css/bootstrap.min.css"></link>
</head>
<body>
    <div class="container" id="novel">
            <h4 style="margin-top:20px;margin-bottom:20px;" id="novelTitle" th:text="${novel.name}"></h4>
            
            <img id="novelImageName" th:src="'/images/' + ${novel.imageName}" style="width:0;height:0" />
            <img th:each="listValue : ${novel.fileList}" id="novelItemImageName" th:src="'/images/' + ${listValue}" class="img-responsive" />
            <div style="white-space:pre-line" th:text="${novel.content}"></div>
            
    </div>
    
    <div class="container" style="margin-top:20px;margin-bottom:20px;">
        <img src="/img/more_detail.jpg" class="img-fluid" /><br/>
        <a id="novelOriginalUrl" th:href="'/redirect/' + ${novel.id}">阅读原文</a>
    </div>

    <script src="http://res.wx.qq.com/open/js/jweixin-1.2.0.js"></script>
    <script src="/jquery-3.3.1.min.js"></script>
    
    <script id="script_tag" th:inline="javascript">
    /*<![CDATA[*/
        var title = /*[[${novel.name}]]*/;
        var desc = /*[[${novel.shortDesc}]]*/;
        
        var imageUrl = window.location.origin+'/images/' + /*[[${novel.shoreImageUrl}]]*/;
        var shareUrl = '';
        if(window.location.href.indexOf('?') > 0 ) {
            shareUrl = window.location.href + '&s_code=' + /*[[${s_code}]]*/;
        }else {
            shareUrl = window.location.href + '?s_code=' + /*[[${s_code}]]*/;
        }
        
        
    /*]]>*/
        
        function share_data() {
            return {
                title: title,
                desc: desc,
                link: shareUrl,
                imgUrl: imageUrl,
                success: function () {
                    console.log('success');
                },
                cancel: function () {
                    console.log('cancel');
                }
            }
        };
    
        function callwechat() {
          var reqData = encodeURIComponent(location.href.split('#')[0]);
          $.ajax({
            url: '/api/wx?url=' + reqData,
            method: 'GET',
            contentType: 'application/json',
            success: function (res) {
                configData(res);
            },
            error: function (err) {
                console.log(' error call wx app', err);
            }
          });
        }
        
      function configData(data) {
        var sign = data;
        wx.config({
          debug: false,
          appId: sign.appid,
          timestamp: sign.timestamp,
          nonceStr: sign.noncestr,
          signature: sign.signature,
          jsApiList: [
            // 所有要调用的 API 都要加到这个列表中
            'onMenuShareTimeline',
            'onMenuShareAppMessage',
            'onMenuShareQQ'
          ]
        });
      }
      
      callwechat();

        wx.ready(function () {
            wx.onMenuShareTimeline(share_data());
            wx.onMenuShareAppMessage(share_data());
        });

    </script>
</body>
</html>
